# Uses of Class
org.eclipse.birt.report.model.api.TOCHandle

Packages that use TOCHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of TOCHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return TOCHandle
Modifier and Type
Method
Description
`TOCHandle`
GroupHandle.`addTOC(String expression)`
Adds toc structure.
`TOCHandle`
GroupHandle.`addTOC(TOC toc)`
Adds toc structure.
`TOCHandle`
ReportItemHandleImpl.`addTOC(String expression)`
Adds toc structure.
`TOCHandle`
ReportItemHandleImpl.`addTOC(TOC toc)`
Adds toc structure.
`TOCHandle`
GroupHandle.`getTOC()`
Gets TOC handle.
`TOCHandle`
ReportItemHandleImpl.`getTOC()`
Gets TOC handle.